Qwt User's Guide: QwtLegendItem Class Reference

- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# QwtLegendItem Class Reference

Inheritance diagram for QwtLegendItem:

[legend]
Collaboration diagram for QwtLegendItem:

[legend]
List of all members.

## Detailed Description

A legend label.

QwtLegendItem represents a curve on a legend. It displays an curve identifier with an explaining text. The identifier might be a combination of curve symbol and line. In readonly mode it behaves like a label, otherwise like an unstylish push button.

See also:
  QwtLegend, QwtPlotCurve

Definition at line 35 of file qwt_legend_item.h.

## Public Types
enum | IdentifierMode { NoIdentifier = 0, ShowLine = 1, ShowSymbol = 2, ShowText = 4 }
## Public Slots
void | setChecked (bool on)
## Signals
void | clicked ()
void | pressed ()
void | released ()
void | checked (bool)
## Public Member Functions
| QwtLegendItem (QWidget *parent=0)
| QwtLegendItem (const QwtSymbol &, const QPen &, const QwtText &, QWidget *parent=0)
virtual | ~QwtLegendItem ()
virtual void | setText (const QwtText &)
void | setItemMode (QwtLegend::LegendItemMode)
QwtLegend::LegendItemMode | itemMode () const
void | setIdentifierMode (int)
int | identifierMode () const
void | setIdentfierWidth (int width)
int | identifierWidth () const
void | setSpacing (int spacing)
int | spacing () const
void | setSymbol (const QwtSymbol &)
const QwtSymbol & | symbol () const
void | setCurvePen (const QPen &)
const QPen & | curvePen () const
virtual void | drawIdentifier (QPainter *, const QRect &) const
virtual void | drawItem (QPainter *p, const QRect &) const
virtual QSize | sizeHint () const
bool | isChecked () const
## Protected Member Functions
void | setDown (bool)
bool | isDown () const
virtual void | paintEvent (QPaintEvent *)
virtual void | mousePressEvent (QMouseEvent *)
virtual void | mouseReleaseEvent (QMouseEvent *)
virtual void | keyPressEvent (QKeyEvent *)
virtual void | keyReleaseEvent (QKeyEvent *)
virtual void | drawText (QPainter *, const QRect &)

## Member Enumeration Documentation

enum QwtLegendItem::IdentifierMode

| Identifier mode. Default is ShowLine | ShowText See also: QwtLegendItem::identifierMode, QwtLegendItem::setIdentifierMode Definition at line 47 of file qwt_legend_item.h.

## Constructor & Destructor Documentation

QwtLegendItem::QwtLegendItem | ( | QWidget * | parent = `0` | ) | `[explicit]`

  | Parameters:
  | parent | Parent widget
Definition at line 74 of file qwt_legend_item.cpp.

QwtLegendItem::QwtLegendItem | ( | const QwtSymbol & | symbol,
|  | const QPen & | curvePen,
|  | const QwtText & | text,
|  | QWidget * | parent = `0`
| ) | `[explicit]`

  | Parameters:
  | symbol | Curve symbol
  | curvePen | Curve pen
  | text | Label text
  | parent | Parent widget
Definition at line 87 of file qwt_legend_item.cpp. References symbol(), and QwtTextLabel::text().

QwtLegendItem::~QwtLegendItem | ( |  | ) | `[virtual]`

| Destructor. Definition at line 108 of file qwt_legend_item.cpp.

## Member Function Documentation

void QwtLegendItem::checked | ( | bool |  | ) | `[signal]`

| Signal, when the legend item has been toggled. Referenced by setDown().

void QwtLegendItem::clicked | ( |  | ) | `[signal]`

| Signal, when the legend item has been clicked. Referenced by setDown().

const QPen & QwtLegendItem::curvePen | ( |  | ) | const

| Returns: The curve pen. See also: setCurvePen() Definition at line 288 of file qwt_legend_item.cpp.

void QwtLegendItem::drawIdentifier | ( | QPainter * | painter,
|  | const QRect & | rect
| ) | const`[virtual]`

  | Paint the identifier to a given rect. Parameters:
  | painter | Painter
  | rect | Rect where to paint
Definition at line 298 of file qwt_legend_item.cpp. References QwtPainter::drawLine(), QwtPainter::metricsMap(), and QwtMetricsMap::screenToLayout(). Referenced by drawItem(), and paintEvent().

void QwtLegendItem::drawItem | ( | QPainter * | painter,
|  | const QRect & | rect
| ) | const`[virtual]`

  | Draw the legend item to a given rect. Parameters:
  | painter | Painter
  | rect | Rect where to paint the button
Definition at line 354 of file qwt_legend_item.cpp. References QwtText::draw(), drawIdentifier(), identifierWidth(), QwtTextLabel::margin(), QwtPainter::metricsMap(), QwtMetricsMap::screenToLayoutX(), spacing(), and QwtTextLabel::text().

void QwtLegendItem::drawText | ( | QPainter * | ,
|  | const QRect & |
| ) | `[protected, virtual]`

| Redraw the text. Reimplemented from QwtTextLabel. Definition at line 535 of file qwt_legend_item.cpp. References QwtTextLabel::drawText().

int QwtLegendItem::identifierMode | ( |  | ) | const

| Or'd values of IdentifierMode. See also: setIdentifierMode(), IdentifierMode Definition at line 186 of file qwt_legend_item.cpp.

int QwtLegendItem::identifierWidth | ( |  | ) | const

| Return the width of the identifier See also: setIdentfierWidth Definition at line 214 of file qwt_legend_item.cpp. Referenced by drawItem().

QwtLegend::LegendItemMode QwtLegendItem::itemMode | ( |  | ) | const

| Return the item mode See also: setItemMode() Definition at line 161 of file qwt_legend_item.cpp.

void QwtLegendItem::paintEvent | ( | QPaintEvent * |  | ) | `[protected, virtual]`

| Qt paint event. Reimplemented from QwtTextLabel. Definition at line 378 of file qwt_legend_item.cpp. References QwtTextLabel::drawContents(), drawIdentifier(), and QwtTextLabel::margin().

void QwtLegendItem::pressed | ( |  | ) | `[signal]`

| Signal, when the legend item has been pressed. Referenced by setDown().

void QwtLegendItem::released | ( |  | ) | `[signal]`

| Signal, when the legend item has been relased. Referenced by setDown().

void QwtLegendItem::setCurvePen | ( | const QPen & | pen | ) |

  | Set curve pen. Parameters:
  | pen | Curve pen
See also: curvePen() Definition at line 275 of file qwt_legend_item.cpp.

void QwtLegendItem::setIdentfierWidth | ( | int | width | ) |

  | Set the width for the identifier Default is 8 pixels Parameters:
  | width | New width
See also: identifierMode(), identifierWidth Definition at line 199 of file qwt_legend_item.cpp. References QwtTextLabel::margin(), and QwtTextLabel::setIndent().

void QwtLegendItem::setIdentifierMode | ( | int | mode | ) |

  | Set identifier mode. Default is ShowLine | ShowText. Parameters:
  | mode | Or'd values of IdentifierMode
See also: identifierMode() Definition at line 173 of file qwt_legend_item.cpp.

void QwtLegendItem::setItemMode | ( | QwtLegend::LegendItemMode | mode | ) |

  | Set the item mode The default is QwtLegend::ReadOnlyItem Parameters:
  | mode | Item mode
See also: itemMode() Definition at line 142 of file qwt_legend_item.cpp. References QwtTextLabel::setMargin().

void QwtLegendItem::setSpacing | ( | int | spacing | ) |

  | Change the spacing Parameters:
  | spacing | Spacing
See also: spacing(), identifierWidth(), QwtTextLabel::margin() Definition at line 224 of file qwt_legend_item.cpp. References QwtTextLabel::margin(), and QwtTextLabel::setIndent().

void QwtLegendItem::setSymbol | ( | const QwtSymbol & | symbol | ) |

  | Set curve symbol. Parameters:
  | symbol | Symbol
See also: symbol() Definition at line 250 of file qwt_legend_item.cpp. References symbol().

void QwtLegendItem::setText | ( | const QwtText & | text | ) | `[virtual]`

  | Set the text to the legend item Parameters:
  | text | Text label
See also: QwtTextLabel::text() Reimplemented from QwtTextLabel. Definition at line 120 of file qwt_legend_item.cpp. References QwtText::setRenderFlags(), QwtTextLabel::setText(), and QwtTextLabel::text().

QSize QwtLegendItem::sizeHint | ( |  | ) | const`[virtual]`

| Return label's margin in pixels. Reimplemented from QwtTextLabel. Definition at line 526 of file qwt_legend_item.cpp. References QwtTextLabel::sizeHint().

int QwtLegendItem::spacing | ( |  | ) | const

| Return the spacing See also: setSpacing(), identifierWidth(), QwtTextLabel::margin() Definition at line 239 of file qwt_legend_item.cpp. Referenced by drawItem().

const QwtSymbol & QwtLegendItem::symbol | ( |  | ) | const

| Returns: The curve symbol. See also: setSymbol() Definition at line 263 of file qwt_legend_item.cpp. Referenced by QwtLegendItem(), and setSymbol().